classification
Title: add tests for dictview set difference operations
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.4, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: eric.araujo, eric.snow, ezio.melotti, frasertweedale, python-dev
Priority: normal Keywords: patch

Created on 2013-07-04 11:33 by frasertweedale, last changed 2013-08-08 17:14 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
dictview-set-sub-test.patch frasertweedale, 2013-07-04 11:33 review
dictview-set-sub-test-python3.patch frasertweedale, 2013-07-04 13:11 review
Messages (6)
msg192285 - (view) Author: Fraser Tweedale (frasertweedale) Date: 2013-07-04 11:33
The Python documentation states that set-like dictionary view objects support set difference (-), however, this behaviour is untested.

Add some tests for this behaviour.

(This issue was discovered because PyPy doesn't support (-) for dictviews, yet they claimed to pass the test suite.  Well, they did pass it ^_^
msg192289 - (view) Author: Fraser Tweedale (frasertweedale) Date: 2013-07-04 13:11
and here's a patch for python3 (the earlier patch is for the 2.7 branch).
msg192341 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2013-07-05 18:51
Looks good to me.
msg192347 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2013-07-05 19:03
Same here.
msg194695 - (view) Author: Roundup Robot (python-dev) Date: 2013-08-08 17:13
New changeset 0152152b09d0 by Ezio Melotti in branch '2.7':
#18357: add tests for dictview set difference.  Patch by Fraser Tweedale.
http://hg.python.org/cpython/rev/0152152b09d0

New changeset 8b557ef46d7c by Ezio Melotti in branch '3.3':
#18357: add tests for dictview set difference.  Patch by Fraser Tweedale.
http://hg.python.org/cpython/rev/8b557ef46d7c

New changeset 4db3d3d5815c by Ezio Melotti in branch 'default':
#18357: merge with 3.3.
http://hg.python.org/cpython/rev/4db3d3d5815c
msg194696 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-08-08 17:14
Fixed, thanks for the report and the patch!
History
Date User Action Args
2013-08-08 17:14:30ezio.melottisetstatus: open -> closed

assignee: ezio.melotti

nosy: + ezio.melotti
messages: + msg194696
resolution: fixed
stage: patch review -> resolved
2013-08-08 17:13:12python-devsetnosy: + python-dev
messages: + msg194695
2013-07-05 19:03:45eric.snowsetnosy: + eric.snow
messages: + msg192347
2013-07-05 18:51:25eric.araujosetversions: + Python 3.3, Python 3.4
nosy: + eric.araujo

messages: + msg192341

stage: patch review
2013-07-04 13:11:55frasertweedalesetfiles: + dictview-set-sub-test-python3.patch

messages: + msg192289
2013-07-04 11:33:28frasertweedalecreate